declare class ThemeManager {
    private mode;
    private mediaQuery;
    private listener;
    private currentCssHash;
    constructor(mode?: ThemeMode_2);
    applyTheme(target: ShadowRoot): void;
    setMode(mode: ThemeMode_2, target: ShadowRoot): void;
    setupAutoMode(target: ShadowRoot): void;
    cleanup(): void;
}

declare type ThemeMode = ThemeVariant | 'auto';

declare type ThemeMode_2 = ThemeVariant_2 | 'auto';

declare type ThemeVariant = 'light' | 'dark' | 'highContrast';

declare type ThemeVariant_2 = 'light' | 'dark' | 'highContrast';

export declare class WidgetApp {
    private shadowRoot;
    private readonly renderer;
    private readonly theming;
    private readonly styleInjector;
    private options;
    constructor(options: WidgetAppOptions);
    render(host: HTMLElement): Promise<void>;
    update(options: WidgetAppOptions): void;
    setTheme(theme: ThemeMode): void;
    destroy(): void;
    getOptions(): WidgetAppOptions;
    getTheming(): ThemeManager;
}

declare interface WidgetAppOptions {
    subgraphIds: string[];
    statusEndpoint: string;
    refreshIntervalMs?: number;
    theme?: ThemeMode;
}

export { }
